org.eclipse.jetty.deploy.providers

## Class ContextProvider

- java.lang.Object
- - org.eclipse.jetty.util.component.AbstractLifeCycle
  - - org.eclipse.jetty.deploy.providers.ScanningAppProvider
    - - org.eclipse.jetty.deploy.providers.ContextProvider

All Implemented Interfaces:
  AppProvider, LifeCycle

    public class ContextProvider
    extends ScanningAppProvider

Context directory App Provider.

This specialization of `ScanningAppProvider` is the replacement for the old (and deprecated) `org.eclipse.jetty.deploy.ContextDeployer` and it will scan a directory only for context.xml files.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`AbstractLifeCycle.AbstractLifeCycleListener`

### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

`LifeCycle.Listener`

### Field Summary

### Fields inherited from class org.eclipse.jetty.deploy.providers.ScanningAppProvider

`_filenameFilter`

### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

### Constructor Summary

Constructors
Constructor and Description
`ContextProvider()`

### Method Summary

Methods
`ContextHandler` `createContextHandler(App app)` Create a ContextHandler for an App
`ConfigurationManager` `getConfigurationManager()`
`void` `setConfigurationManager(ConfigurationManager configurationManager)` Set the configurationManager.

### Methods inherited from class org.eclipse.jetty.deploy.providers.ScanningAppProvider

`addScannerListener, createApp, doStart, doStop, fileAdded, fileChanged, fileRemoved, getDeployedApps, getDeploymentManager, getMonitoredDirName, getMonitoredDirResource, getScanInterval, isRecursive, setDeploymentManager, setMonitoredDir, setMonitoredDirName, setMonitoredDirResource, setRecursive, setScanInterval`

### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`addLifeCycleListener, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle

`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

### Constructor Detail

#### ContextProvider

    public ContextProvider()

### Method Detail

#### getConfigurationManager

    public ConfigurationManager getConfigurationManager()

#### setConfigurationManager

    public void setConfigurationManager(ConfigurationManager configurationManager)

Set the configurationManager.

Parameters:
  `configurationManager` - the configurationManager to set

#### createContextHandler

    public ContextHandler createContextHandler(App app)
                                        throws Exception

Description copied from interface: `AppProvider`
Create a ContextHandler for an App

Parameters:
  `app` - The App
Returns:
  A ContextHandler
Throws:
  `IOException`
  `Exception`